<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>Recipe Form</title>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"
          th:href="@{/webjars/bootstrap/3.3.7-1/css/bootstrap.min.css}">

    <script src="/webjars/jquery/1.11.1/jquery.min.js"></script>

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
            integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
            crossorigin="anonymous" th:src="@{/webjars/bootstrap/3.3.7-1/js/bootstrap.min.js}"></script>
</head>
<body>
<!--/*@thymesVar id="recipe" type="sk.seidl.recipe_app.domain.Recipe"*/-->
<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <form th:object="${recipe}" th:action="@{/recipe/}" method="post">
                <input type="hidden" th:field="*{id}"/>
                <div class="pannel-group">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h1 class="panel-title">Edit Recipe Information</h1>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-3 form-group">
                                    <label>Recipe Description:</label>
                                    <input type="text" class="form-control" th:field="*{description}"/>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3 form-group">
                                    <label>Categories:</label>
                                </div>
                                <div class="col-md-9 form-group">
                                    <div class="radio">
                                        <label>
                                            <input type="checkbox" value=""/>
                                            Cat 1
                                        </label>
                                    </div>
                                    <div class="radio" th:remove="all">
                                        <label>
                                            <input type="checkbox" value=""/>
                                            Cat 2
                                        </label>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3 form-group">
                                    <label>Prep Time:</label>
                                    <input type="text" class="form-control" th:field="*{prepTime}"/>
                                </div>
                                <div class="col-md-3 form-group">
                                    <label>Cooktime:</label>
                                    <input type="text" class="form-control" th:field="*{cookTime}"/>
                                </div>
                                <div class="col-md-3 form-group">
                                    <label>Difficulty:</label>
                                    <select class="form-control" th:field="*{difficulty}">
                                        <option th:each="difficultyValue : ${T(sk.seidl.recipe_app.domains.Difficulty).values()}"
                                                th:value="${difficultyValue.name()}"
                                                th:text="${difficultyValue.name()}"
                                        >val
                                        </option>
                                    </select>
                                    <select class="form-control" th:remove="all">
                                        <option>Easy</option>
                                        <option>Medium</option>
                                        <option>Hard</option>
                                    </select>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3 form-group">
                                    <label>Servings:</label>
                                    <input type="text" class="form-control" th:field="*{servings}"/>
                                </div>
                                <div class="col-md-3 form-group">
                                    <label>Source:</label>
                                    <input type="text" class="form-control" th:field="*{source}"/>
                                </div>
                                <div class="col-md-3 form-group">
                                    <label>URL:</label>
                                    <input type="text" class="form-control" th:field="*{url}"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-md-11 ">
                                    <h1 class="panel-title">Ingredients</h1>
                                </div>
                                <div class="col-md-1">
                                    <a class="btn btn-default" href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredients'}" role="button">View</a>
                                </div>
                            </div>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <ul th:if="${not #lists.isEmpty(recipe.ingredients)}">
                                        <li th:remove="all">1 Cup of milk</li>
                                        <li th:remove="all">1 Teaspoon of chocolate</li>
                                        <li th:remove="all">asdf</li>
                                        <li th:each="ingredient : ${recipe.ingredients}"
                                            th:text="${(ingredient.getAmount() +
                                        ' ' + ingredient.unitOfMeasure.getDescription() +
                                        ' - ' + ingredient.getDescription())}">1 Teaspoon of Sugar
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h1 class="panel-title">Directions</h1>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-12 form-group">
                                    <textarea class="form-control" rows="3" th:field="*{directions}"></textarea></div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <h1 class="panel-title">Notes</h1>
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-md-12 form-group">
                                    <textarea class="form-control" rows="3" th:field="*{notes.recipeNotes}"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>
</body>
</html>